## reactivedata 0.1

=== Makefile ===
.PHONY: test

build:
	ocaml pkg/build.ml native=true native-dynlink=true

clean:
	ocamlbuild -clean

=== debian/changelog ===
reactivedata (0.1-3build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 17:02:01 +0200

reactivedata (0.1-3) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2017 17:51:44 +0200

reactivedata (0.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Nov 2015 11:10:26 +0100

reactivedata (0.1-1) experimental; urgency=low

  * Initial upload (Closes: #803257)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 29 Oct 2015 17:10:01 +0100

=== debian/control ===
Source: reactivedata
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 libreact-ocaml-dev (>= 1.2.0),
 opam,
 ocaml-nox,
 ocaml-findlib,
 ocamlbuild,
 dh-ocaml
Standards-Version: 3.9.6
Homepage: https://github.com/ocsigen/reactiveData
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/reactivedata.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/reactivedata.git

Package: libreactivedata-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: FRP with incremental changes in data structures
 ReactiveData is an OCaml module for functional reactive programming
 (FRP) based on React. It adds support to incremental changes in data
 structures by reasoning on patches instead of absolute values.
 .
 This package contains development files of ReactiveData.

Package: libreactivedata-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Description: FRP with incremental changes in data structures (runtime)
 ReactiveData is an OCaml module for functional reactive programming
 (FRP) based on React. It adds support to incremental changes in data
 structures by reasoning on patches instead of absolute values.
 .
 This package contains dynamically loadable plugins of ReactiveData.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

BUILD_ARGS :=

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
  BUILD_ARGS += native=true
else
  BUILD_ARGS += native=false
endif

ifeq ($(OCAML_NATDYNLINK),yes)
  BUILD_ARGS += native-dynlink=true
else
  BUILD_ARGS += native-dynlink=false
endif

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml pkg/build.ml $(BUILD_ARGS)

.PHONY: override_dh_auto_install
override_dh_auto_install:
	opam-installer --prefix=debian/tmp --libdir=.$(OCAML_STDLIB_DIR) reactiveData.install

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

## reactivedata 0.2.2

=== Makefile ===
--- 
+++ 
@@ -5,3 +5,42 @@
 
 clean:
 	ocamlbuild -clean
+
+doc: build
+	ocamlbuild -use-ocamlfind src/api.docdir/index.html
+
+
+NAME=reactiveData
+TMP=/tmp
+
+TMP_REPO=$(TMP)/$(NAME)
+
+$(TMP_REPO)/.git:
+	cd $(TMP) && \
+	git clone https://github.com/ocsigen/$(NAME).git && \
+	cd $(NAME) && \
+	git checkout gh-pages
+
+gh-pages: $(TMP_REPO)/.git doc
+	cd $(TMP_REPO) && git checkout gh-pages
+	rm -f $(TMP_REPO)/dev/*
+	cp _build/src/api.docdir/* $(TMP_REPO)/dev/
+	cd $(TMP_REPO) && git add dev
+	cd $(TMP_REPO) && git commit -a -m "Doc updates"
+	cd $(TMP_REPO) && git push origin gh-pages
+
+release: $(TMP_REPO)/.git
+	@if [ -z "$(VERSION)" ]; then echo "Usage: make release VERSION=1.0.0"; exit 1; fi
+	cd $(TMP_REPO) && cp -r dev $(VERSION)
+	cd $(TMP_REPO) && git add $(VERSION)
+	cd $(TMP_REPO) && git commit -m "Doc updates $(VERSION)"
+	cd $(TMP_REPO) && git push origin gh-pages
+	sed -i "s/= dev =/= $(VERSION) =/" CHANGES
+	git add CHANGES
+	git commit -m "Version $(VERSION)."
+	git tag -a $(VERSION) -m "Version $(VERSION)."
+
+prepare:
+	@if [ -z "$(VERSION)" ]; then echo "Usage: make prepare VERSION=1.0.0"; exit 1; fi
+	opam publish prepare "$(NAME).$(VERSION)" \
+    "https://github.com/ocsigen/$(NAME)/archive/$(VERSION).tar.gz"

=== debian/changelog ===
reactivedata (0.2.2-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 16 Jan 2020 15:46:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
- libreact-ocaml-dev (>= 1.2.0),
- opam,
+ debhelper-compat (= 12),
+ libreact-ocaml-dev (>= 1.2.1),
+ opam-installer,
  ocaml-nox,
  ocaml-findlib,
  ocamlbuild,
  dh-ocaml
-Standards-Version: 3.9.6
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/ocsigen/reactiveData
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/reactivedata.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/reactivedata.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/reactivedata
+Vcs-Git: https://salsa.debian.org/ocaml-team/reactivedata.git
 
 Package: libreactivedata-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,6 @@
 override_dh_auto_install:
 	opam-installer --prefix=debian/tmp --libdir=.$(OCAML_STDLIB_DIR) reactiveData.install
 
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --fail-missing
+.PHONY: override_dh_missing
+override_dh_missing:
+	dh_missing --fail-missing

## reactivedata 0.3

=== Makefile ===
.PHONY: build clean doc test

build:
	dune build

test:
	dune runtest

clean:
	dune clean

doc:
	dune build @doc

=== debian/changelog ===
reactivedata (0.3-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Bump debhelper compat level to 13

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Feb 2023 07:00:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,12 @@
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libreact-ocaml-dev (>= 1.2.1),
- opam-installer,
  ocaml-nox,
- ocaml-findlib,
- ocamlbuild,
+ ocaml-dune,
  dh-ocaml
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ocsigen/reactiveData
 Vcs-Browser: https://salsa.debian.org/ocaml-team/reactivedata

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p reactiveData

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

override_dh_auto_test:
	dune runtest -p reactiveData
